<app-menu></app-menu>
<div class="container mat-elevation-z8">

        <div class="col-lg-15">
                <mat-toolbar color="primary">
                <span>Consulta Libro</span>
                </mat-toolbar>
        </div>

        <div class="col-12" style="margin-top: 3%">
           <mat-form-field class="col-3">
             <mat-label>Título</mat-label>
             <input matInput [(ngModel)] = "titulo" >
           </mat-form-field>

           <mat-form-field class="col-3">
                <mat-label>Año</mat-label>
                <input matInput [(ngModel)] = "anio">
           </mat-form-field>
           
            <mat-checkbox class="example-margin"checked class="col-3" [(ngModel)] = "estado">Estado
            </mat-checkbox>
           
           <button mat-raised-button color="primary" type="submit" (click)="consulta()" >Filtrar</button>
           <button mat-raised-button type="submit" color="warn" (click)="exportarPDF()">PDF</button>
         
        </div>

        <div  class="col-12" style="margin-top: 3%">
            <mat-form-field class="col-3">
                <mat-label>Serie</mat-label>
                <input matInput [(ngModel)] = "serie">
           </mat-form-field>

            <mat-form-field class="col-3">
                <mat-label>Categoría</mat-label>
                <mat-select [(ngModel)] = "categoriaLibro" (selectionChange)="cargaCategoriaLibro()">
                <mat-option value ="-1">[Seleccione]</mat-option>
                <mat-option [value]="x.idDataCatalogo" *ngFor="let x of CategoriaLibro">
                    {{x.descripcion}}</mat-option>
                </mat-select>
            </mat-form-field>

            <mat-form-field class="col-3">
                <mat-label>Tipo</mat-label>
                <mat-select [(ngModel)] = "tipoLibro" (selectionChange)="cargaTipoLibro()">
                <mat-option [value]="x.idDataCatalogo" *ngFor="let x of TipoLibro">
                    {{x.descripcion}}</mat-option>
                </mat-select>
            </mat-form-field>
        </div>

        <div  class="col-12"  style="margin-top: 3%">
            <div class="mat-elevation-z8">
                <mat-table class="mat-elevation-z8" [dataSource]="dataSource" style="width: 100%;">
                    <ng-container matColumnDef="idLibro">
                        <th mat-header-cell *matHeaderCellDef style="width: 50px">Id</th>
                        <td mat-cell *matCellDef="let aux" style="width: 50px">{{ aux.idLibro }}</td>
                    </ng-container>

                    <ng-container matColumnDef="titulo">
                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Título</th>
                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.titulo }}</td>
                    </ng-container>

                    <ng-container matColumnDef="anio">
                        <th mat-header-cell *matHeaderCellDef style="width: 80px">Año</th>
                        <td mat-cell *matCellDef="let aux" style="width: 80px">{{ aux.anio }}</td>
                    </ng-container>

                    <ng-container matColumnDef="serie">
                        <th mat-header-cell *matHeaderCellDef style="width: 150px">Serie</th>
                        <td mat-cell *matCellDef="let aux" style="width: 150px">{{ aux.serie }}</td>
                    </ng-container>

                    <ng-container matColumnDef="fechaRegistro">
                        <th mat-header-cell *matHeaderCellDef style="width: 180px">Fecha Registro</th>
                        <td mat-cell *matCellDef="let aux" style="width: 180px">{{ aux.fechaRegistro | date:"dd/MM/yy" }}</td>
                    </ng-container>

                    <ng-container matColumnDef="categoriaLibro">
                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Categoría</th>
                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.categoriaLibro!.descripcion }}</td>
                    </ng-container>

                    <ng-container matColumnDef="tipoLibro">
                        <th mat-header-cell *matHeaderCellDef style="width: 200px">Tipo</th>
                        <td mat-cell *matCellDef="let aux" style="width: 200px">{{ aux.tipoLibro!.descripcion }}</td>
                    </ng-container>

                    <ng-container matColumnDef="estado">
                        <th mat-header-cell *matHeaderCellDef style="width: 120px">Estado</th>
                        <td mat-cell *matCellDef="let aux" style="width: 120px">{{ aux.estado == 1 ? "Activo" : "Inactivo" }}</td>
                    </ng-container>

                      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
                      <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>

                </mat-table>
                <mat-paginator [pageSizeOptions]="[4,6,8]" showFirstLastButtons></mat-paginator>     
            </div>   
    </div>

</div>
